# PSF-LoginServer - master - net.psforever.objects.serverobject.environment.DeepSurface
PSF - LoginServer - master - net.psforever.objects.serverobject.environment.DeepSurface
Keywords: PSF LoginServer master net.psforever.objects.serverobject.environment.DeepSurface

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package environment
  Definition Classes
    serverobject
- DeepCircularSurface
- DeepPlane
- DeepSquare
- DeepSurface
- EnvironmentAttribute
- EnvironmentCollision
- EnvironmentTrait
- EscapeFromEnvironment
- GantryDenialField
- InteractWithEnvironment
- InteractingWithEnvironment
- OxygenStateTarget
- PieceOfEnvironment
- Pool
- RecoveredFromEnvironmentInteraction
- RespondsToZoneEnvironment
- SeaLevel

c

net.psforever.objects.serverobject.environment

# DeepSurface

###

#### final case class DeepSurface(altitude: Float, north: Float, east: Float, south: Float, west: Float) extends EnvironmentCollision with Product with Serializable

Similar to `DeepRectangle`, from above, a rectangular region that is always perpendicular to world-up and whose sides align with the X-axis and Y-axis, respectively. The modifier "deep" indicates that the valid area goes down from the altitude to the bottom of the world. It is never subject to variable intersection depth during testing.

altitude

  the z-coordinate of the geometry (height)

north

  the y-coordinate of the greatest side

east

  the x-coordinate of the other greatest side

south

  the y-coordinate of the least side

west

  the x-coordinate of the other least side

Source
  EnvironmentCollision.scala

Linear Supertypes
Serializable, Product, Equals, EnvironmentCollision, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. DeepSurface
2. Serializable
3. Product
4. Equals
5. EnvironmentCollision
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new DeepSurface(altitude: Float, north: Float, east: Float, south: Float, west: Float)

   altitude

     the z-coordinate of the geometry (height)

   north

     the y-coordinate of the greatest side

   east

     the x-coordinate of the other greatest side

   south

     the y-coordinate of the least side

   west

     the x-coordinate of the other least side

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val altitude: Float

   in general, the highest point in this geometry

   in general, the highest point in this geometry

   Definition Classes
     DeepSurface → EnvironmentCollision
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def bounding: Rectangle
   Definition Classes
     DeepSurface → EnvironmentCollision
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  val east: Float
9.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
10.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
11.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  val north: Float
15.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  def productElementNames: Iterator[String]
    Definition Classes
      Product
18.  val south: Float
19.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
20.  def testInteraction(pos: Vector3, varDepth: Float): Boolean

    Is the test point "within" the bounds of the represented environment?

    Is the test point "within" the bounds of the represented environment?

    pos

      the test point

    varDepth

      how far "into" the environment the point must be

    returns

      `true`, if the point is sufficiently "deep"; `false`, otherwise

    Definition Classes
      DeepSurface → EnvironmentCollision
21.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
23.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
24.  val west: Float

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from EnvironmentCollision

### Inherited from AnyRef

### Inherited from Any

### Ungrouped